(function($) {
	'use strict';
	$(document).ready(function() {

		$(document).on('click', '.st-alert-box-dismiss', function() {
			$(this).parent().fadeOut(300, function() {
				$(this).remove();
			});
		});

		var loadingContainer = $('<span/>', {
			'class': 'st-loading-container'
		});
		var loadingImage = $('<img/>', {
			'src': stssmadminurl + 'images/spinner.gif',
			'class': 'st-loading-image'
		});

		// Save social share icons.
		var saveSocialShareIconsFormId = '#stssm-save-social-share-icons-form';
		var saveSocialShareIconsForm = $(saveSocialShareIconsFormId);
		var saveSocialShareIconsBtn = $('#stssm-save-social-share-icons-btn');
		saveSocialShareIconsForm.ajaxForm({
			beforeSubmit: function(arr, $form, options) {
				$('.st-text-danger').remove();
				$('.st-is-invalid').removeClass("st-is-invalid");
				$('.st-alert-box').remove();
				saveSocialShareIconsBtn.prop('disabled', true);
				loadingContainer.insertAfter(saveSocialShareIconsBtn);
				loadingImage.appendTo(loadingContainer);
				return true;
			},
			success: function(response) {
				if(response.success) {
					var alertBox = '' +
					'<div class="st-alert-box notice notice-success is-dismissible">' +
						'<p>' +
							'<strong>' + response.data.message + '</strong>' +
						'</p>' +
						'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
					'</div>';
					$(alertBox).insertBefore(saveSocialShareIconsFormId);
				} else {
					if(response.data && $.isPlainObject(response.data)) {
						$(saveSocialShareIconsFormId + ' :input').each(function() {
							var input = this;
							$(input).removeClass('st-is-invalid');
							if(response.data[input.name]) {
								var errorSpan = '<div class="st-text-danger">' + response.data[input.name] + '</div>';
								$(input).addClass('st-is-invalid');
								$(errorSpan).insertAfter(input);
							}
						});
					} else {
						var errorSpan = '' +
						'<div class="st-alert-box notice notice-error is-dismissible">' +
							'<p>' +
								'<strong>' + response.data + '</strong>' +
							'</p>' +
							'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
						'</div>';
						$(errorSpan).insertBefore(saveSocialShareIconsFormId);
					}
				}
			},
			error: function(response) {
				saveSocialShareIconsBtn.prop('disabled', false);
				var errorSpan = '' +
				'<div class="st-alert-box notice notice-error is-dismissible">' +
					'<p>' +
						'<strong>' + response.status + '</strong> ' + response.statusText +
					'</p>' +
					'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
				'</div>';
				$(errorSpan).insertBefore(saveSocialShareIconsFormId);
			},
			complete: function(event, xhr, settings) {
				saveSocialShareIconsBtn.prop('disabled', false);
				loadingContainer.remove();
			}
		});

		// Reset plugin.
		var resetPluginFormId = '#stssm-reset-plugin-form';
		var resetPluginForm = $(resetPluginFormId);
		var resetPluginBtn = $('#stssm-reset-plugin-btn');
		$(document).on('click', '#stssm-reset-plugin-btn', function(e) {
			e.preventDefault();
			if(confirm(resetPluginBtn.data('message'))) {
				resetPluginForm.ajaxSubmit({
					beforeSubmit: function(arr, $form, options) {
						$('.st-text-danger').remove();
						$('.st-is-invalid').removeClass("st-is-invalid");
						$('.st-alert-box').remove();
						resetPluginBtn.prop('disabled', true);
						loadingContainer.insertAfter(resetPluginBtn);
						loadingImage.appendTo(loadingContainer);
						return true;
					},
					success: function(response) {
						if(response.success) {
							var alertBox = '' +
							'<div class="st-alert-box notice notice-success is-dismissible">' +
								'<p>' +
									'<strong>' + response.data.message + '</strong>' +
								'</p>' +
								'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
							'</div>';
							$(alertBox).insertBefore(resetPluginFormId);
						} else {
							if(response.data && $.isPlainObject(response.data)) {
								$(resetPluginFormId + ' :input').each(function() {
									var input = this;
									$(input).removeClass('st-is-invalid');
									if(response.data[input.name]) {
										var errorSpan = '<div class="st-text-danger">' + response.data[input.name] + '</div>';
										$(input).addClass('st-is-invalid');
										$(errorSpan).insertAfter(input);
									}
								});
							} else {
								var errorSpan = '' +
								'<div class="st-alert-box notice notice-error is-dismissible">' +
									'<p>' +
										'<strong>' + response.data + '</strong>' +
									'</p>' +
									'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
								'</div>';
								$(errorSpan).insertBefore(resetPluginFormId);
							}
						}
					},
					error: function(response) {
						resetPluginBtn.prop('disabled', false);
						var errorSpan = '' +
						'<div class="st-alert-box notice notice-error is-dismissible">' +
							'<p>' +
								'<strong>' + response.status + '</strong> ' + response.statusText +
							'</p>' +
							'<button type="button" class="st-alert-box-dismiss notice-dismiss"></button>' +
						'</div>';
						$(errorSpan).insertBefore(resetPluginFormId);
					},
					complete: function(event, xhr, settings) {
						resetPluginBtn.prop('disabled', false);
						loadingContainer.remove();
					}
				});
			}
		});

	});
})(jQuery);
