<?php
defined( 'ABSPATH' ) || die();

class STSSM_Helper {
	public static function icons_placement_enable_list() {
		return array(
			'sticky_icons_enable' => esc_html__( 'Enable Sticky Icons', 'share-social-media' ),
			'all_pages_enable'    => esc_html__( 'Enable on all Pages', 'share-social-media' ),
			'all_posts_enable'    => esc_html__( 'Enable on all Posts', 'share-social-media' ),
		);
	}

	public static function icons_placement_list_sticky() {
		return array(
			'left'  => esc_html__( 'Left', 'share-social-media' ),
			'right' => esc_html__( 'Right', 'share-social-media' ),
		);
	}

	public static function icons_placement_list_pages() {
		return array(
			'before_content' => esc_html__( 'Before Content', 'share-social-media' ),
			'after_content'  => esc_html__( 'After Content', 'share-social-media' ),
		);
	}

	public static function icons_placement_list_posts() {
		return array(
			'before_content' => esc_html__( 'Before Content', 'share-social-media' ),
			'after_content'  => esc_html__( 'After Content', 'share-social-media' ),
		);
	}

	public static function get_sticky_placement() {
		$placement = get_option( 'stssm_sticky_placement' );
		if ( ! is_array( $placement ) ) {
			$placement = array(
				'enable' => false,
				'place'  => 'left',
			);
		}

		return $placement;
	}

	public static function get_pages_placement() {
		$placement = get_option( 'stssm_pages_placement' );
		if ( ! is_array( $placement ) ) {
			$placement = array(
				'enable'         => false,
				'after_content'  => true,
				'before_content' => false,
			);
		}

		return $placement;
	}

	public static function get_posts_placement() {
		$placement = get_option( 'stssm_posts_placement' );
		if ( ! is_array( $placement ) ) {
			$placement = array(
				'enable'         => false,
				'after_content'  => true,
				'before_content' => false,
			);
		}

		return $placement;
	}
}
