<?php
defined( 'ABSPATH' ) || die();
require_once STSSM_PLUGIN_DIR_PATH . 'includes/class-stssm-helper.php';

class STSSM_Share {
	public static function add_icons_to_content( $content ) {
		$post_type = get_post_type();

		$pages_placement = STSSM_Helper::get_pages_placement();
		$posts_placement = STSSM_Helper::get_posts_placement();

		$post_types = array();
		if ( $pages_placement['enable'] ) {
			array_push( $post_types, 'page' );
		}
		if ( $posts_placement['enable'] ) {
			array_push( $post_types, 'post' );
		}

		if ( count( $post_types ) && is_singular( $post_types ) ) {
			ob_start();
			?>
<ul class="stssm-social-icons stssm-content-social-icons">
	<li><i class="fab fa-facebook-f"></i></li>
	<li><i class="fab fa-twitter"></i></li>
	<li><i class="fab fa-google-plus-g"></i></li>
	<li><i class="fab fa-linkedin"></i></li>
	<li><i class="fab fa-pinterest"></i></li>
	<li><i class="fab fa-reddit"></i></li>
	<li><i class="fab fa-tumblr"></i></li>
	<li><i class="fab fa-blogger"></i></li>
	<li><i class="fab fa-wordpress-simple"></i></li>
	<li><i class="fab fa-line"></i></li>
	<li><i class="fab fa-buffer"></i></li>
	<li><i class="fab fa-skype"></i></li>
	<li><i class="fab fa-whatsapp"></i></li>
	<li><i class="fas fa-envelope"></i></li>
</ul>
			<?php
			$social_icons = ob_get_clean();

			if ( is_singular( 'post' ) ) {
				if ( $posts_placement['after_content'] ) {
					$content .= $social_icons;
				}
				if ( $posts_placement['before_content'] ) {
					$content = $social_icons . $content;
				}
			} elseif ( is_singular( 'page' ) ) {
				if ( $pages_placement['after_content'] ) {
					$content .= $social_icons;
				}
				if ( $pages_placement['before_content'] ) {
					$content = $social_icons . $content;
				}
			}
		}

		return $content;
	}

	public static function enqueue_scripts() {
		$sticky_placement = STSSM_Helper::get_sticky_placement();

		$enqueue = false;
		$sticky  = '0';
		if ( $sticky_placement['enable'] ) {
			$enqueue = true;
			$sticky  = '1';
		} else {
			$pages_placement = STSSM_Helper::get_pages_placement();
			$posts_placement = STSSM_Helper::get_posts_placement();

			if ( ( $posts_placement['enable'] && is_singular('post') ) || ( $pages_placement['enable'] && is_singular('page') ) ) {
				$enqueue = true;
			}
		}

		if ( $enqueue ) {
			wp_enqueue_style( 'font-awesome-free', STSSM_PLUGIN_URL . 'assets/css/all.min.css' );
			wp_enqueue_style( 'stssm', STSSM_PLUGIN_URL . 'assets/css/stssm.css', array(), '1.0.1', 'all' );

			if ( $sticky ) {
				if ( 'right' === $sticky_placement['place'] ) {
					wp_enqueue_style( 'stssm-sticky-right', STSSM_PLUGIN_URL . 'assets/css/stssm-sticky-right.css', array(), '1.0.1', 'all' );
				} else {
					wp_enqueue_style( 'stssm-sticky-left', STSSM_PLUGIN_URL . 'assets/css/stssm-sticky-left.css', array(), '1.0.1', 'all' );
				}
			}

			wp_enqueue_script( 'stssm', STSSM_PLUGIN_URL . 'assets/js/stssm.js', array(), '1.0.1', true );
			wp_localize_script( 'stssm', 'stssmsticky', $sticky );
		}
	}
}
