<?php
/**
 * Plugin Name: Share Social Media
 * Description: Add social media sharing icons to a post or page of your WordPress website and allow visitors to share your content on various social media sites.
 * Version: 1.0.1
 * Author: ScriptsTown
 * Author URI: https://scriptstown.com/
 * Text Domain: share-social-media
*/

defined( 'ABSPATH' ) || die();

if ( ! defined( 'STSSM_PLUGIN_URL' ) ) {
	define( 'STSSM_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'STSSM_PLUGIN_DIR_PATH' ) ) {
	define( 'STSSM_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'STSSM_PLUGIN_BASENAME' ) ) {
	define( 'STSSM_PLUGIN_BASENAME', plugin_basename( __FILE__ ) );
}

final class STSSM_Share_Social_Media {
	private static $instance = null;

	private function __construct() {
		$this->initialize_hooks();
	}

	public static function get_instance() {
		if ( is_null( self::$instance ) ) {
			self::$instance = new self();
		}
		return self::$instance;
	}

	private function initialize_hooks() {
		if ( is_admin() ) {
			require_once STSSM_PLUGIN_DIR_PATH . 'admin/admin.php';
		}
		require_once STSSM_PLUGIN_DIR_PATH . 'public/public.php';
	}
}
STSSM_Share_Social_Media::get_instance();
